## snack 2.2.10.20090624+dfsg

=== debian/changelog ===
snack (2.2.10.20090624+dfsg-4) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 11:23:00 +0300

snack (2.2.10.20090624+dfsg-4~exp2) experimental; urgency=medium

  * Cleanup patches.
  * Fix creating Snack canvas items for Tcl/Tk 8.6.
  * Provide the tcl8.6-snack and tcl9.0-snack packages to indicate
    support for Tcl/Tk 8.6 and 9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 05 Jun 2025 18:56:10 +0300

snack (2.2.10.20090624+dfsg-4~exp1) experimental; urgency=medium

  * Cleanup debian/control. Remove conflicts with very old packages.
  * Build libsnack-alsa only for Linux architectures.
  * Fix interpreter in Tcl demos.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 16 May 2025 20:13:53 +0300

snack (2.2.10.20090624+dfsg-4~exp0) experimental; urgency=medium

  * Drop support for Python 2 in tkSnack and Python demos.
  * Port the Snack libraries to Tcl/Tk 9.0 and build them for both
    Tcl/Tk 8.6 and 9.0.
  * Cleanup and document all the patches.
  * Bump the standards version to 4.7.2.
  * Make tcl-snack, tcl-snack-dev, libsnack-alsa, libsnack-oss multi-arch same.
  * Make tcl-snack-doc multi-arch foreign.
  * Fix FTBFS with --shuffle option for make (closes: #1105691).
  * Remove the old postal address of the Free Software Foundation from
    debian/copyright.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 16 May 2025 16:20:10 +0300

snack (2.2.10.20090624+dfsg-3) unstable; urgency=medium

  * Add missing build-dependency on python3-setuptools (closes: #1080806).
  * Fix FTBFS for GNU/Hurd.
  * Fix FTBFS and compile warnings with GCC 15 (closes: #1097902).
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Feb 2025 18:01:03 +0300

snack (2.2.10.20090624+dfsg-2) unstable; urgency=medium

  * Fix incorrect comparison with literal strings (closes: #1061951).
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 08 Mar 2024 12:20:28 +0300

snack (2.2.10.20090624+dfsg-1) unstable; urgency=medium

  * Drop non-free code from jkFormant.c (closes: #1029034).
  * Add a patch by Thomas Uhle which replaces calls to removed non-free
    downsampler code by calls to other free one.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 19 Feb 2023 16:44:48 +0300

snack (2.2.10.20090623-dfsg-10) unstable; urgency=medium

  * Source upload.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 02 Sep 2019 09:18:27 +0300

snack (2.2.10.20090623-dfsg-9) unstable; urgency=medium

  * Drop the python-tksnack package because of Python 2 removal from Debian
    (closes: #938506).
  * Bump the standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Aug 2019 12:55:43 +0300
